"""
Tests for casa_envoy.palaver
"""
import argparse
from unittest.mock import patch, MagicMock

from casa_envoy.palaver import check_calibratable, check_imagable, _get_settings

expected_settings = {
    "useCasa": False,
    "homeForReprocessing": "/home/casa/packages/pipeline/current",
    "rootDirectory": "/lustre/aoc/cluster/pipeline/docker/workspaces/spool",
    "processingDirectory": "tmpo1ca1pp_",
}
args = argparse.Namespace()


def test_check_calibratable():
    check = check_calibratable("test/test.json")
    assert check is True


def test_check_imagable():
    check = check_imagable("test/image-metadata.json")
    assert check is True


def test_get_settings():
    with patch(
        "pathlib.Path.cwd",
        MagicMock(return_value="/lustre/aoc/cluster/pipeline/docker/workspaces/spool/tmpo1ca1pp_"),
    ) as cwd:
        settings = _get_settings(cwd)
        assert settings["useCasa"] == expected_settings["useCasa"]
        assert settings["homeForReprocessing"] == expected_settings["homeForReprocessing"]
